pandoc-3.7.0.2: Conversion between markup formats

Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Citeproc

Synopsis

- processCitations :: PandocMonad m => Pandoc -> m Pandoc
- getReferences :: PandocMonad m => Maybe Locale -> Pandoc -> m [Reference Inlines]

# Documentation

processCitations :: PandocMonad m => Pandoc -> m Pandoc Source #

getReferences :: PandocMonad m => Maybe Locale -> Pandoc -> m [Reference Inlines] Source #

Get references defined inline in the metadata and via an external bibliography. Only references that are actually cited in the document (either with a genuine citation or with `nocite`) are returned. URL variables are converted to links.